# testops-api
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.0
- Package version: 1.0.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python >= 3.6

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import testops_api
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import testops_api
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import time
import testops_api
from pprint import pprint
from testops_api.api import agent_api
from testops_api.model.agent_config_resource import AgentConfigResource
from testops_api.model.agent_resource import AgentResource
from testops_api.model.circle_ci_agent_resource import CircleCIAgentResource
from testops_api.model.circle_ci_connection_resource import CircleCIConnectionResource
from testops_api.model.circle_ci_project import CircleCIProject
from testops_api.model.k8_s_agent_resource import K8SAgentResource
# Defining the host is optional and defaults to http://localhost:8443
# See configuration.py for a list of all supported configuration parameters.
configuration = testops_api.Configuration(
    host = "http://localhost:8443"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure HTTP basic authorization: basicScheme
configuration = testops_api.Configuration(
    username = 'YOUR_USERNAME',
    password = 'YOUR_PASSWORD'
)


# Enter a context with an instance of the API client
with testops_api.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = agent_api.AgentApi(api_client)
    agent_resource = AgentResource(
        id=1,
        name="name_example",
        ip="ip_example",
        uuid="uuid_example",
        last_ping=dateutil_parser('1970-01-01T00:00:00.00Z'),
        os="os_example",
        team_id=1,
        hostname="hostname_example",
        active=True,
        threshold=1,
        num_executing_jobs=1,
        num_assigned_jobs=1,
        agent_version="agent_version_example",
        deleted=True,
    ) # AgentResource | 

    try:
        # Creates or updates a Local agent. Returns the agent detail.
        api_response = api_instance.create10(agent_resource)
        pprint(api_response)
    except testops_api.ApiException as e:
        print("Exception when calling AgentApi->create10: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *http://localhost:8443*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AgentApi* | [**create10**](docs/AgentApi.md#create10) | **POST** /api/v1/agent | Creates or updates a Local agent. Returns the agent detail.
*AgentApi* | [**create5**](docs/AgentApi.md#create5) | **POST** /api/v1/k8s-agent | Creates a K8S agent. Returns the created agent detail.
*AgentApi* | [**create8**](docs/AgentApi.md#create8) | **POST** /api/v1/circle-ci-agent | Creates a new CircleCI agent. Returns the created agent detail.
*AgentApi* | [**delete10**](docs/AgentApi.md#delete10) | **DELETE** /api/v1/agent/{id} | Deletes a Local agent. Returns the deleted agent detail.
*AgentApi* | [**generate_agent**](docs/AgentApi.md#generate_agent) | **GET** /api/v1/agent | Generates the configuration file for the Local agent. Returns the configuration file.
*AgentApi* | [**get13**](docs/AgentApi.md#get13) | **GET** /api/v1/k8s-agent/{id} | Returns a K8S agent detail.
*AgentApi* | [**get18**](docs/AgentApi.md#get18) | **GET** /api/v1/circle-ci-agent/{id} | Returns a CircleCI agent detail.
*AgentApi* | [**get19**](docs/AgentApi.md#get19) | **GET** /api/v1/agent/{id} | Get a Local agent. Returns the agent detail.
*AgentApi* | [**get_followed_projects**](docs/AgentApi.md#get_followed_projects) | **POST** /api/v1/circle-ci-agent/projects | 
*AgentApi* | [**update5**](docs/AgentApi.md#update5) | **PUT** /api/v1/k8s-agent | Updates a K8S agent detail. Returns the updated agent detail.
*AgentApi* | [**update9**](docs/AgentApi.md#update9) | **PUT** /api/v1/circle-ci-agent | Updates a CircleCI agent detail. Returns the updated agent detail.
*AgentApi* | [**update_threshold**](docs/AgentApi.md#update_threshold) | **PUT** /api/v1/agent/threshold | Updates the threshold for Local agent. Returns the agent detail.
*BuildApi* | [**create9**](docs/BuildApi.md#create9) | **POST** /api/v1/build | Creates a Build. Returns the Build details.
*BuildApi* | [**delete9**](docs/BuildApi.md#delete9) | **DELETE** /api/v1/build/{id} | Deletes a Build. Returns the deleted Build details.
*BuildApi* | [**link_build**](docs/BuildApi.md#link_build) | **POST** /api/v1/run-configurations/{id}/link-build | Link an Run Configuration to a Build. Returns the updated Run Configuration detail.
*BuildApi* | [**link_build1**](docs/BuildApi.md#link_build1) | **POST** /api/v1/executions/{id}/link-build | Link an Execution to a Build. Returns the updated Execution detail.
*BuildApi* | [**unlink_release**](docs/BuildApi.md#unlink_release) | **POST** /api/v1/run-configurations/{id}/unlink-release | Unlink an Run Configuration from a Release or a Build. Returns the updated Run Configuration detail.
*BuildApi* | [**unlink_release_and_build**](docs/BuildApi.md#unlink_release_and_build) | **POST** /api/v1/executions/{id}/unlink-release | Unlink an Execution to a Release and Build. Returns the updated Execution detail.
*BuildApi* | [**update10**](docs/BuildApi.md#update10) | **PUT** /api/v1/build/{id} | Updates a Build. Returns the Build details.
*CommentApi* | [**create7**](docs/CommentApi.md#create7) | **POST** /api/v1/comments | Creates a Comment. Returns the created Comment detail.
*CommentApi* | [**update8**](docs/CommentApi.md#update8) | **PUT** /api/v1/comments | Updates a Comment detail. Returns the updated Comment detail.
*CustomFieldDefinitionApi* | [**create6**](docs/CustomFieldDefinitionApi.md#create6) | **POST** /api/v1/custom-field-definitions/create | Create custom field definition and their options
*CustomFieldDefinitionApi* | [**delete7**](docs/CustomFieldDefinitionApi.md#delete7) | **DELETE** /api/v1/custom-field-definitions | Deletes a Custom Field Definition. Returns the deleted Custom Field Definition detail.
*CustomFieldDefinitionApi* | [**update7**](docs/CustomFieldDefinitionApi.md#update7) | **PUT** /api/v1/custom-field-definitions | Edit custom field definition and their options
*ExecutionApi* | [**bulk_download**](docs/ExecutionApi.md#bulk_download) | **GET** /api/v1/executions/download | Exports and downloads multiple Executions. Returns the archive file comprising the Execution summaries.
*ExecutionApi* | [**delete6**](docs/ExecutionApi.md#delete6) | **DELETE** /api/v1/executions | Deletes multiple Executions. Returns the deleted Execution details.
*ExecutionApi* | [**delete_tag1**](docs/ExecutionApi.md#delete_tag1) | **DELETE** /api/v1/executions/{id}/tags | Delete tag of a Execution.
*ExecutionApi* | [**download6**](docs/ExecutionApi.md#download6) | **GET** /api/v1/executions/{id}/download | Exports and downloads an Execution. Returns the Execution summary file.
*ExecutionApi* | [**download_file**](docs/ExecutionApi.md#download_file) | **GET** /api/v1/executions/{id}/download-file | Downloads all uploaded files of an Execution. Returns the archive file comprising all Execution&#39;s files.
*ExecutionApi* | [**get16**](docs/ExecutionApi.md#get16) | **GET** /api/v1/executions/{id} | Returns an Execution detail.
*ExecutionApi* | [**get_latest_executions**](docs/ExecutionApi.md#get_latest_executions) | **GET** /api/v1/organizations/{id}/latest-executions | 
*ExecutionApi* | [**link_build1**](docs/ExecutionApi.md#link_build1) | **POST** /api/v1/executions/{id}/link-build | Link an Execution to a Build. Returns the updated Execution detail.
*ExecutionApi* | [**link_release1**](docs/ExecutionApi.md#link_release1) | **POST** /api/v1/executions/{id}/link-release | Link an Execution to a Release. Returns the updated Execution detail.
*ExecutionApi* | [**list2**](docs/ExecutionApi.md#list2) | **GET** /api/v1/executions | 
*ExecutionApi* | [**push_to_xray**](docs/ExecutionApi.md#push_to_xray) | **POST** /api/v1/executions/{id}/push-to-xray | Push an Execution to xray.
*ExecutionApi* | [**re_import_execution1**](docs/ExecutionApi.md#re_import_execution1) | **POST** /api/v1/executions/reimport | Re-imports an Execution. Returns the newly imported Execution detail.
*ExecutionApi* | [**rerun_execution**](docs/ExecutionApi.md#rerun_execution) | **POST** /api/v1/executions/{id}/rerun | Rerun an Execution.
*ExecutionApi* | [**share_execution_report**](docs/ExecutionApi.md#share_execution_report) | **POST** /api/v1/executions/{id}/share-report | Allow users to send email with attached execution reports [PDF].
*ExecutionApi* | [**terminated_execution**](docs/ExecutionApi.md#terminated_execution) | **POST** /api/v1/executions/terminate | Terminates a running Execution. Returns the terminated Execution detail.
*ExecutionApi* | [**unlink_release_and_build**](docs/ExecutionApi.md#unlink_release_and_build) | **POST** /api/v1/executions/{id}/unlink-release | Unlink an Execution to a Release and Build. Returns the updated Execution detail.
*ExecutionApi* | [**update_custom_fields**](docs/ExecutionApi.md#update_custom_fields) | **POST** /api/v1/executions/{id}/custom-fields | Update custom fields for execution.
*ExecutionApi* | [**update_tag1**](docs/ExecutionApi.md#update_tag1) | **PUT** /api/v1/executions/{id}/tags | Update tag of a Execution.
*ExecutionRequestApi* | [**download1**](docs/ExecutionRequestApi.md#download1) | **GET** /api/v1/requests/{id}/download | Downloads an Execution Request report. Returns the report file.
*ExecutionRequestApi* | [**get_execution_request**](docs/ExecutionRequestApi.md#get_execution_request) | **GET** /api/v1/requests/{id} | Returns an Execution Request detail.
*ExecutionTestResultApi* | [**get2**](docs/ExecutionTestResultApi.md#get2) | **GET** /api/v1/test-results/{id} | Returns an Execution Test Result detail.
*ExecutionTestResultApi* | [**get_stdout**](docs/ExecutionTestResultApi.md#get_stdout) | **GET** /api/v1/test-results/logs/{id} | Downloads a test result&#39;s log. Returns the log file.
*ExecutionTestResultApi* | [**link_incidents**](docs/ExecutionTestResultApi.md#link_incidents) | **POST** /api/v1/test-results/{id}/incidents | Link an Execution Test Result to a Task. Returns the created binding detail.
*ExecutionTestResultApi* | [**mark_as_retested**](docs/ExecutionTestResultApi.md#mark_as_retested) | **POST** /api/v1/test-results/{id}/mask-as-retested | 
*ExecutionTestResultApi* | [**unlink_incidents**](docs/ExecutionTestResultApi.md#unlink_incidents) | **DELETE** /api/v1/test-results/{id}/incidents | Unlink an Execution Test Result to a Task. Returns the deleted binding detail.
*ExecutionTestResultApi* | [**update_label**](docs/ExecutionTestResultApi.md#update_label) | **POST** /api/v1/test-results/{id}/label | 
*ExecutionTestSuiteApi* | [**get17**](docs/ExecutionTestSuiteApi.md#get17) | **GET** /api/v1/execution-test-suites/{id} | Returns an Execution Test Suite detail.
*ExecutionExportApi* | [**check_existed_export_file**](docs/ExecutionExportApi.md#check_existed_export_file) | **GET** /api/v1/executions/{id}/export/check-exist-file | Find execution exported file
*ExecutionExportApi* | [**download5**](docs/ExecutionExportApi.md#download5) | **GET** /api/v1/executions/{id}/export | Exports and downloads an Execution. Returns the Execution summary file.
*ExecutionExportApi* | [**enqueue_file**](docs/ExecutionExportApi.md#enqueue_file) | **POST** /api/v1/executions/{id}/export/enqueue-file | Enqueue file to be exported
*ExecutionExportApi* | [**send_execution_export_mail**](docs/ExecutionExportApi.md#send_execution_export_mail) | **POST** /api/v1/executions/{id}/export/send-mail | Send email in case of timeout
*FileApi* | [**download4**](docs/FileApi.md#download4) | **GET** /api/v1/files/{id} | Downloads a file.
*FileApi* | [**get_upload_url**](docs/FileApi.md#get_upload_url) | **GET** /api/v1/files/upload-url | Returns an upload URL.
*FileApi* | [**get_upload_urls**](docs/FileApi.md#get_upload_urls) | **GET** /api/v1/files/upload-urls | Returns multiple upload URLs.
*JobApi* | [**cancel**](docs/JobApi.md#cancel) | **DELETE** /api/v1/jobs/{id} | Cancels a Job.
*JobApi* | [**get14**](docs/JobApi.md#get14) | **GET** /api/v1/jobs/{id} | Returns a Job detail.
*JobApi* | [**get_job**](docs/JobApi.md#get_job) | **GET** /api/v1/jobs/get-job | Returns the next queued Job of an Agent.
*JobApi* | [**get_latest_jobs**](docs/JobApi.md#get_latest_jobs) | **GET** /api/v1/organizations/{id}/latest-jobs | 
*JobApi* | [**get_log**](docs/JobApi.md#get_log) | **GET** /api/v1/jobs/{id}/get-log | Returns a Job&#39;s log.
*JobApi* | [**get_running_jobs**](docs/JobApi.md#get_running_jobs) | **GET** /api/v1/organizations/{id}/running-jobs | 
*JobApi* | [**update_job**](docs/JobApi.md#update_job) | **POST** /api/v1/jobs/update-job | Updates a Job detail. Returns the updated Job detail.
*KatalonRecorderApi* | [**backup**](docs/KatalonRecorderApi.md#backup) | **POST** /api/v1/katalon-recorder/backup | Saves a Katalon Recorder backup detail.
*KatalonRecorderApi* | [**download3**](docs/KatalonRecorderApi.md#download3) | **GET** /api/v1/katalon-recorder/backup/{id}/download | Downloads a Katalon Recorder backup. Returns the backup file.
*KatalonRecorderApi* | [**upload**](docs/KatalonRecorderApi.md#upload) | **POST** /api/v1/katalon-recorder/test-reports | Uploads and processes a Katalon Recorder report.
*LabelApi* | [**get_system_labels**](docs/LabelApi.md#get_system_labels) | **GET** /api/v1/labels/system-labels | Get all SystemLabel of an LabelEntityType
*ProjectApi* | [**create4**](docs/ProjectApi.md#create4) | **POST** /api/v1/projects | Creates a new Project. Returns the created Project detail.
*ProjectApi* | [**create_default_custom_fields**](docs/ProjectApi.md#create_default_custom_fields) | **POST** /api/v1/projects/{id}/default-custom-fields | Create default custom field for project.
*ProjectApi* | [**create_or_update2**](docs/ProjectApi.md#create_or_update2) | **POST** /api/v1/project-settings | 
*ProjectApi* | [**create_sample_data**](docs/ProjectApi.md#create_sample_data) | **POST** /api/v1/projects/{id}/sample-data | Create sample data for project.
*ProjectApi* | [**delete5**](docs/ProjectApi.md#delete5) | **DELETE** /api/v1/projects/{id} | Deletes a Project. Returns the deleted Project detail.
*ProjectApi* | [**get10**](docs/ProjectApi.md#get10) | **GET** /api/v1/projects/{id} | Returns a Project detail.
*ProjectApi* | [**get11**](docs/ProjectApi.md#get11) | **GET** /api/v1/project-settings/{id} | 
*ProjectApi* | [**get_by_user_with_repository_info**](docs/ProjectApi.md#get_by_user_with_repository_info) | **GET** /api/v1/projects/platform-projects | Returns all Projects of User, include repository information.
*ProjectApi* | [**is_required_git_repository**](docs/ProjectApi.md#is_required_git_repository) | **GET** /api/v1/projects/{id}/check-required-git-repo | Check is required git repository for a project
*ProjectApi* | [**list1**](docs/ProjectApi.md#list1) | **GET** /api/v1/projects | Returns all Projects of a Team.
*ProjectApi* | [**update4**](docs/ProjectApi.md#update4) | **PUT** /api/v1/projects | Updates a Project detail. Returns the updated Project detail.
*ProjectApi* | [**update_status**](docs/ProjectApi.md#update_status) | **PUT** /api/v1/projects/update-status | Updates a Project status. Returns the updated Project detail.
*ReleaseApi* | [**active_release**](docs/ReleaseApi.md#active_release) | **POST** /api/v1/releases/{id}/active | Open or close a Release. Returns the updated Release detail.
*ReleaseApi* | [**create_or_update1**](docs/ReleaseApi.md#create_or_update1) | **POST** /api/v1/releases | Creates a Release. Returns the Release details.
*ReleaseApi* | [**delete4**](docs/ReleaseApi.md#delete4) | **DELETE** /api/v1/releases/{id} | Deletes a Release. Returns the Release details.
*ReleaseApi* | [**link_release**](docs/ReleaseApi.md#link_release) | **POST** /api/v1/run-configurations/{id}/link-release | Link an Run Configuration to a Release. Returns the updated Run Configuration detail.
*ReleaseApi* | [**link_release1**](docs/ReleaseApi.md#link_release1) | **POST** /api/v1/executions/{id}/link-release | Link an Execution to a Release. Returns the updated Execution detail.
*ReleaseApi* | [**unlink_release**](docs/ReleaseApi.md#unlink_release) | **POST** /api/v1/run-configurations/{id}/unlink-release | Unlink an Run Configuration from a Release or a Build. Returns the updated Run Configuration detail.
*ReleaseApi* | [**unlink_release_and_build**](docs/ReleaseApi.md#unlink_release_and_build) | **POST** /api/v1/executions/{id}/unlink-release | Unlink an Execution to a Release and Build. Returns the updated Execution detail.
*ReleaseApi* | [**update3**](docs/ReleaseApi.md#update3) | **PUT** /api/v1/releases | Updates a Release. Returns the Release details.
*SearchApi* | [**search**](docs/SearchApi.md#search) | **POST** /api/v1/search | Queries the resources of a specific type by multiple conditions. Returns the pageable resources satisfying the query.
*SearchApi* | [**search1**](docs/SearchApi.md#search1) | **GET** /api/v1/search | Queries the resources of a specific type by multiple conditions. Returns the pageable resources satisfying the query.
*SearchApi* | [**search_cache**](docs/SearchApi.md#search_cache) | **POST** /api/v1/search/cache | 
*SearchApi* | [**search_cache1**](docs/SearchApi.md#search_cache1) | **GET** /api/v1/search/cache | 
*SearchApi* | [**test**](docs/SearchApi.md#test) | **GET** /api/v1/search/info | Returns the search configuration.
*SmartSchedulerApi* | [**create_or_update_configuration**](docs/SmartSchedulerApi.md#create_or_update_configuration) | **POST** /api/v1/smart-scheduler/save-configuration | Creates or updates a Test Plan. Returns the Test Plan.
*SmartSchedulerApi* | [**create_run_configuration_and_run**](docs/SmartSchedulerApi.md#create_run_configuration_and_run) | **POST** /api/v1/smart-scheduler/run | Create Test Plan and run it. Return Test Plan.
*SmartSchedulerApi* | [**create_run_configuration_and_schedule**](docs/SmartSchedulerApi.md#create_run_configuration_and_schedule) | **POST** /api/v1/smart-scheduler/schedule | Create Test Plan and create Trigger for it. Return Test Plan detail and Trigger detail.
*SmartSchedulerApi* | [**get9**](docs/SmartSchedulerApi.md#get9) | **GET** /api/v1/smart-scheduler/{id} | Returns an Smart Scheduler Resource(Test Plan detail and Trigger detail).
*TagApi* | [**create3**](docs/TagApi.md#create3) | **POST** /api/v1/tags | Creates a Tag. Returns the tag details.
*TaskApi* | [**create_incident**](docs/TaskApi.md#create_incident) | **POST** /api/v1/incidents | Creates a Task for the test results. Returns the created Task detail.
*TaskApi* | [**get15**](docs/TaskApi.md#get15) | **GET** /api/v1/incidents/{id} | Returns a Task detail.
*TaskApi* | [**link_incidents**](docs/TaskApi.md#link_incidents) | **POST** /api/v1/test-results/{id}/incidents | Link an Execution Test Result to a Task. Returns the created binding detail.
*TaskApi* | [**unlink_incidents**](docs/TaskApi.md#unlink_incidents) | **DELETE** /api/v1/test-results/{id}/incidents | Unlink an Execution Test Result to a Task. Returns the deleted binding detail.
*TaskApi* | [**update6**](docs/TaskApi.md#update6) | **PUT** /api/v1/incidents | Updates a Task detail. Returns the updated Task detail.
*TeamApi* | [**assign_user_team**](docs/TeamApi.md#assign_user_team) | **POST** /api/v1/users/add | Adds users to a Team. Returns the added User detail.
*TeamApi* | [**create2**](docs/TeamApi.md#create2) | **POST** /api/v1/teams | Creates a new Team. Returns the created Team detail.
*TeamApi* | [**delete2**](docs/TeamApi.md#delete2) | **DELETE** /api/v1/teams/{id} | Delete a Team. Returns the delete Team detail.
*TeamApi* | [**get8**](docs/TeamApi.md#get8) | **GET** /api/v1/teams/{id} | Returns a Team detail.
*TeamApi* | [**list**](docs/TeamApi.md#list) | **GET** /api/v1/teams | Returns all Teams of the current User.
*TeamApi* | [**remove_user**](docs/TeamApi.md#remove_user) | **DELETE** /api/v1/users/remove | Removes a User from a Team. Returns the removed User detail.
*TeamApi* | [**update2**](docs/TeamApi.md#update2) | **PUT** /api/v1/teams | Updates a Team detail. Returns the updated Team detail.
*TeamApi* | [**update_user_team**](docs/TeamApi.md#update_user_team) | **PUT** /api/v1/permission/team/user | Updates the role of a User in a Team. Returns the updated detail.
*TestCaseApi* | [**delete_tag**](docs/TestCaseApi.md#delete_tag) | **DELETE** /api/v1/test-cases/{id}/tags | Delete tag of a Test Case.
*TestCaseApi* | [**get7**](docs/TestCaseApi.md#get7) | **GET** /api/v1/test-cases/{id} | Returns a Test Case detail.
*TestCaseApi* | [**update11**](docs/TestCaseApi.md#update11) | **POST** /api/v1/test-cases/update | Update a Test Case.
*TestCaseApi* | [**update_tag**](docs/TestCaseApi.md#update_tag) | **PUT** /api/v1/test-cases/{id}/tags | Update tag of a Test Case.
*TestCloudAgentApi* | [**get6**](docs/TestCloudAgentApi.md#get6) | **GET** /api/v1/test-cloud/{id} | Get a Test Cloud agent by testCloudAgentId. Returns the test cloud agent detail.
*TestCloudAgentApi* | [**get_test_cloud_licenses**](docs/TestCloudAgentApi.md#get_test_cloud_licenses) | **GET** /api/v1/test-cloud/organizations/{organizationId}/licenses | Get Test Cloud Licenses by organizationId.
*TestObjectApi* | [**get5**](docs/TestObjectApi.md#get5) | **GET** /api/v1/test-object-entities/{id} | Returns a Test Object detail.
*TestPlanApi* | [**create1**](docs/TestPlanApi.md#create1) | **POST** /api/v1/test-projects/{id}/schedulers | Creates a new schedule for a Test Plan. Returns the created schedule detail.
*TestPlanApi* | [**create_and_trigger_sample**](docs/TestPlanApi.md#create_and_trigger_sample) | **POST** /api/v1/run-configurations/sample | Creates and triggers a sample Test Plan. Returns the created Test Plan detail.
*TestPlanApi* | [**create_or_update_configuration1**](docs/TestPlanApi.md#create_or_update_configuration1) | **POST** /api/v1/run-configurations | Creates or updates a Test Plan. Returns the Test Plan detail.
*TestPlanApi* | [**delete1**](docs/TestPlanApi.md#delete1) | **DELETE** /api/v1/test-projects/{id}/schedulers/{schedulerId} | Deletes a schedule. Returns the deleted schedule detail.
*TestPlanApi* | [**delete3**](docs/TestPlanApi.md#delete3) | **DELETE** /api/v1/run-configurations/{id} | Deletes a Test Plan. Returns the deleted Test Plan detail.
*TestPlanApi* | [**get_scheduler**](docs/TestPlanApi.md#get_scheduler) | **GET** /api/v1/test-projects/{id}/schedulers/{schedulerId} | Returns a schedule detail.
*TestPlanApi* | [**link_build**](docs/TestPlanApi.md#link_build) | **POST** /api/v1/run-configurations/{id}/link-build | Link an Run Configuration to a Build. Returns the updated Run Configuration detail.
*TestPlanApi* | [**link_release**](docs/TestPlanApi.md#link_release) | **POST** /api/v1/run-configurations/{id}/link-release | Link an Run Configuration to a Release. Returns the updated Run Configuration detail.
*TestPlanApi* | [**run**](docs/TestPlanApi.md#run) | **PUT** /api/v1/run-configurations/{id}/execute | Executes a Test Plan. Returns the build information.
*TestPlanApi* | [**unlink_release**](docs/TestPlanApi.md#unlink_release) | **POST** /api/v1/run-configurations/{id}/unlink-release | Unlink an Run Configuration from a Release or a Build. Returns the updated Run Configuration detail.
*TestPlanApi* | [**update1**](docs/TestPlanApi.md#update1) | **PUT** /api/v1/test-projects/{id}/schedulers/{schedulerId} | Updates a schedule detail. Returns the updated schedule detail.
*TestProjectApi* | [**create1**](docs/TestProjectApi.md#create1) | **POST** /api/v1/test-projects/{id}/schedulers | Creates a new schedule for a Test Plan. Returns the created schedule detail.
*TestProjectApi* | [**create_git_repo**](docs/TestProjectApi.md#create_git_repo) | **POST** /api/v1/git/create | Creates a Git Test Project. Returns the Git Test Project detail.
*TestProjectApi* | [**create_sample**](docs/TestProjectApi.md#create_sample) | **POST** /api/v1/test-projects/sample | Creates a new sample Test Project. Returns the created Test Project.
*TestProjectApi* | [**create_sample_git_test_project**](docs/TestProjectApi.md#create_sample_git_test_project) | **POST** /api/v1/test-projects/sample-git-test-project | Creates a new sample Git Test Project when setting up a Git Repository. Returns the created Sample Git Test Project.
*TestProjectApi* | [**delete**](docs/TestProjectApi.md#delete) | **DELETE** /api/v1/test-projects/{id} | Deletes a Test Project. Returns the deleted Test Project.
*TestProjectApi* | [**delete1**](docs/TestProjectApi.md#delete1) | **DELETE** /api/v1/test-projects/{id}/schedulers/{schedulerId} | Deletes a schedule. Returns the deleted schedule detail.
*TestProjectApi* | [**download**](docs/TestProjectApi.md#download) | **GET** /api/v1/test-projects/{id}/download | Downloads a Test Project package. Returns the latest Test Project package file.
*TestProjectApi* | [**get3**](docs/TestProjectApi.md#get3) | **GET** /api/v1/test-projects/{id} | Returns a Test Project detail.
*TestProjectApi* | [**get_default_test_project**](docs/TestProjectApi.md#get_default_test_project) | **GET** /api/v1/test-projects/default | Get default Test Project of a Project. Returns Test Project resource if exist.
*TestProjectApi* | [**get_scheduler**](docs/TestProjectApi.md#get_scheduler) | **GET** /api/v1/test-projects/{id}/schedulers/{schedulerId} | Returns a schedule detail.
*TestProjectApi* | [**get_test_project_git**](docs/TestProjectApi.md#get_test_project_git) | **GET** /api/v1/git/{testProjectGitId} | Returns a Git Test Project detail.
*TestProjectApi* | [**refresh_tsc**](docs/TestProjectApi.md#refresh_tsc) | **POST** /api/v1/test-projects/{id}/refresh-tsc | Refresh Test Suite Collection list of Git Test Project
*TestProjectApi* | [**run**](docs/TestProjectApi.md#run) | **PUT** /api/v1/run-configurations/{id}/execute | Executes a Test Plan. Returns the build information.
*TestProjectApi* | [**update**](docs/TestProjectApi.md#update) | **PUT** /api/v1/test-projects/{id} | Updates a Test Project detail. Returns the updated Test Project detail.
*TestProjectApi* | [**update1**](docs/TestProjectApi.md#update1) | **PUT** /api/v1/test-projects/{id}/schedulers/{schedulerId} | Updates a schedule detail. Returns the updated schedule detail.
*TestProjectApi* | [**update_git_repo**](docs/TestProjectApi.md#update_git_repo) | **POST** /api/v1/git/update | Updates a Git Test Project detail. Returns the updated Git Test Project detail.
*TestProjectApi* | [**update_script_repo**](docs/TestProjectApi.md#update_script_repo) | **POST** /api/v1/test-projects/{id}/update-script-repo | Update a Test Project package. Returns the updated Test Project detail. Use to update script repository
*TestProjectApi* | [**upload_script_repo**](docs/TestProjectApi.md#upload_script_repo) | **POST** /api/v1/test-projects/upload-script-repo | Creates a new Test Project. Returns the created Test Project. Use to create script repository
*TestReportApi* | [**download2**](docs/TestReportApi.md#download2) | **GET** /api/v1/katalon/download | 
*TestReportApi* | [**process_multiple_s3_file**](docs/TestReportApi.md#process_multiple_s3_file) | **POST** /api/v1/katalon/test-reports/multiple | Saves and processes multiple uploaded Katalon reports.
*TestReportApi* | [**process_multiple_s3_file_v2**](docs/TestReportApi.md#process_multiple_s3_file_v2) | **POST** /api/v1/katalon/test-reports/multiple-v2 | Saves and processes multiple uploaded Katalon reports.
*TestReportApi* | [**process_s3_file**](docs/TestReportApi.md#process_s3_file) | **POST** /api/v1/katalon/test-reports | Saves and processes the uploaded Katalon reports.
*TestReportApi* | [**process_test_ops_reports**](docs/TestReportApi.md#process_test_ops_reports) | **POST** /api/v1/testops-reports | Saves and processes multiple uploaded TestOps reports.
*TestReportApi* | [**update_result**](docs/TestReportApi.md#update_result) | **POST** /api/v1/katalon/test-reports/update-result | 
*TestReportApi* | [**upload**](docs/TestReportApi.md#upload) | **POST** /api/v1/katalon-recorder/test-reports | Uploads and processes a Katalon Recorder report.
*TestReportApi* | [**upload_j_unit_reports**](docs/TestReportApi.md#upload_j_unit_reports) | **POST** /api/v1/junit/test-reports | Uploads and processes the JUnit reports to an Execution.
*TestReportApi* | [**upload_j_unit_reports_v2**](docs/TestReportApi.md#upload_j_unit_reports_v2) | **POST** /api/v1/junit/test-reports-v2 | Uploads and processes the JUnit reports to an Execution with tag and custom field.
*TestReportApi* | [**upload_test_ng_reports**](docs/TestReportApi.md#upload_test_ng_reports) | **POST** /api/v1/testng/test-reports | Uploads and processes the TestNG reports to an execution.
*TestSuiteApi* | [**create**](docs/TestSuiteApi.md#create) | **POST** /api/v1/test-suites/create | Create Test Suite. Returns the newly created Test Suite details.
*TestSuiteApi* | [**delete_test_suite**](docs/TestSuiteApi.md#delete_test_suite) | **DELETE** /api/v1/test-suites/{id} | Delete TestOps Test Suite. Returns the deleted Test Suite details
*TestSuiteApi* | [**edit**](docs/TestSuiteApi.md#edit) | **POST** /api/v1/test-suites/{id}/edit | Edit TestOps Test Suite. Returns the edited Test Suite details.
*TestSuiteApi* | [**generate_file**](docs/TestSuiteApi.md#generate_file) | **GET** /api/v1/testops-test-suite/{id} | Generate file
*TestSuiteApi* | [**get1**](docs/TestSuiteApi.md#get1) | **GET** /api/v1/test-suites/{id} | Returns a Test Suite detail.
*UserApi* | [**assign_user_team**](docs/UserApi.md#assign_user_team) | **POST** /api/v1/users/add | Adds users to a Team. Returns the added User detail.
*UserApi* | [**change_avatar**](docs/UserApi.md#change_avatar) | **POST** /api/v1/users/avatar | Change the avatar of the current User. Returns the updated User detail.
*UserApi* | [**change_name**](docs/UserApi.md#change_name) | **POST** /api/v1/users | Change name for current user.
*UserApi* | [**create_or_update**](docs/UserApi.md#create_or_update) | **POST** /api/v1/user-settings | Updates the User Settings detail. Returns the updated User Settings detail.
*UserApi* | [**download_avatar**](docs/UserApi.md#download_avatar) | **GET** /api/v1/users/avatar | Downloads the avatar of the current User. Returns the current avatar file.
*UserApi* | [**get**](docs/UserApi.md#get) | **GET** /api/v1/user-settings | Returns the User Settings detail.
*UserApi* | [**get_kat_one_token**](docs/UserApi.md#get_kat_one_token) | **GET** /api/v1/users/token | 
*UserApi* | [**get_me**](docs/UserApi.md#get_me) | **GET** /api/v1/users/me | Returns the current User detail.
*UserApi* | [**remove_user**](docs/UserApi.md#remove_user) | **DELETE** /api/v1/users/remove | Removes a User from a Team. Returns the removed User detail.
*VisualTestingApi* | [**create_baseline_collection**](docs/VisualTestingApi.md#create_baseline_collection) | **POST** /api/v1/baseline-collections | Create new Baseline Collection
*VisualTestingApi* | [**create_checkpoint_pixel_temporary**](docs/VisualTestingApi.md#create_checkpoint_pixel_temporary) | **POST** /api/v1/checkpoint-pixels/{id}/preview | Send event creating checkpoint temporary message to engine
*VisualTestingApi* | [**delete_baselines_latest_version**](docs/VisualTestingApi.md#delete_baselines_latest_version) | **DELETE** /api/v1/baselines-latest-version | Delete baseline images of the latest version
*VisualTestingApi* | [**get_checkpoint_pixel_by_checkpoint_id**](docs/VisualTestingApi.md#get_checkpoint_pixel_by_checkpoint_id) | **GET** /api/v1/checkpoint-pixels/{id} | 
*VisualTestingApi* | [**get_checkpoint_pixel_by_id**](docs/VisualTestingApi.md#get_checkpoint_pixel_by_id) | **GET** /api/v1/checkpoint-pixels/{id}/preview | Get checkpoint pixel with all checkpoint pixel temporary as list
*VisualTestingApi* | [**re_import_execution**](docs/VisualTestingApi.md#re_import_execution) | **POST** /api/v1/keyes-executions/{id}/reimport | Re-imports an Keyes Execution.
*VisualTestingApi* | [**resolve_checkpoint**](docs/VisualTestingApi.md#resolve_checkpoint) | **POST** /api/v1/checkpoints/{id}/resolve | Mark the status of the result checkpoint as passed or failed.
*VisualTestingApi* | [**resolve_multiple_checkpoint**](docs/VisualTestingApi.md#resolve_multiple_checkpoint) | **POST** /api/v1/checkpoints/resolve | Mark the status of result checkpoints as passed or failed.
*VisualTestingApi* | [**save_draft_baseline_collection**](docs/VisualTestingApi.md#save_draft_baseline_collection) | **POST** /api/v1/baseline-collections/save-draft | Save as draft properties of baseline collection for visual testing
*VisualTestingApi* | [**save_execution**](docs/VisualTestingApi.md#save_execution) | **POST** /api/v1/keyes-executions/{id}/save | Save Keyes Execution to Baseline.
*VisualTestingApi* | [**save_execution1**](docs/VisualTestingApi.md#save_execution1) | **POST** /api/v1/baseline-collections/{id}/ignored-zones/save-draft | Save ignored zones draft for baseline.
*VisualTestingApi* | [**save_ignoring_zones**](docs/VisualTestingApi.md#save_ignoring_zones) | **POST** /api/v1/baseline-collections/{id}/ignored-zones/save | Save all unsaved properties for latest version.
*VisualTestingApi* | [**update_baseline_collection_group**](docs/VisualTestingApi.md#update_baseline_collection_group) | **PUT** /api/v1/baseline-collection-groups/{id} | Update baseline collection information
*VisualTestingApi* | [**upload_baselines**](docs/VisualTestingApi.md#upload_baselines) | **POST** /api/v1/baseline-collections/upload-baselines | Upload new Baseline to BaselineCollection
*VisualTestingApi* | [**upload_checkpoint**](docs/VisualTestingApi.md#upload_checkpoint) | **POST** /api/v1/checkpoints | Upload new checkpoint for test run
*WebServiceApi* | [**get4**](docs/WebServiceApi.md#get4) | **GET** /api/v1/test-objects/{id} | Returns a Web Service detail.
*CacheResourceControllerApi* | [**delete8**](docs/CacheResourceControllerApi.md#delete8) | **DELETE** /api/v1/cache | 
*NotificationControllerApi* | [**get_number_of_notifications**](docs/NotificationControllerApi.md#get_number_of_notifications) | **GET** /api/v1/notifications/number-of-notifications | Get number of notifications for the current user
*NotificationControllerApi* | [**reset_number_of_notifications**](docs/NotificationControllerApi.md#reset_number_of_notifications) | **PUT** /api/v1/notifications/number-of-notifications | Reset number of notifications to 0 for the current user
*NotificationControllerApi* | [**update_read_notification**](docs/NotificationControllerApi.md#update_read_notification) | **PUT** /api/v1/notifications/{notificationId}/users | Mark unread the notification as read of the current user
*NotificationControllerApi* | [**update_read_notifications**](docs/NotificationControllerApi.md#update_read_notifications) | **PUT** /api/v1/notifications/users | Mark all unread notifications as read of the current user
*OrganizationTrialRequestResourceControllerApi* | [**get_trial_request**](docs/OrganizationTrialRequestResourceControllerApi.md#get_trial_request) | **GET** /api/v1/organizations/{id}/trial-request | Get organization trial request data
*OrganizationTrialRequestResourceControllerApi* | [**submit_trial_request**](docs/OrganizationTrialRequestResourceControllerApi.md#submit_trial_request) | **POST** /api/v1/organizations/{id}/trial-request | Submit organization trial request
*ProjectConfigurationResourceControllerApi* | [**get12**](docs/ProjectConfigurationResourceControllerApi.md#get12) | **GET** /api/v1/project-configurations/{id} | 
*ProjectConfigurationResourceControllerApi* | [**list_time_zones**](docs/ProjectConfigurationResourceControllerApi.md#list_time_zones) | **GET** /api/v1/time-zones | 
*ProjectConfigurationResourceControllerApi* | [**update12**](docs/ProjectConfigurationResourceControllerApi.md#update12) | **POST** /api/v1/project-configurations/{id} | 
*TestCloudProxyTunnelControllerApi* | [**delete_proxy_tunnel**](docs/TestCloudProxyTunnelControllerApi.md#delete_proxy_tunnel) | **DELETE** /api/v1/test-cloud/tunnels/{id} | Delete Proxy Tunnel.
*TestCloudProxyTunnelControllerApi* | [**get_active_tunnels**](docs/TestCloudProxyTunnelControllerApi.md#get_active_tunnels) | **GET** /api/v1/test-cloud/tunnels | Get a Test Cloud Proxy Tunnel by organizationId and teamId. Returns list active ProxyTunnel.
*TestFolderResourceControllerApi* | [**get_sub_folders**](docs/TestFolderResourceControllerApi.md#get_sub_folders) | **GET** /api/v1/test-folder/sub-folders | List subfolders of a folder under n nested level.


## Documentation For Models

 - [AccessTokenResource](docs/AccessTokenResource.md)
 - [AgentConfigResource](docs/AgentConfigResource.md)
 - [AgentResource](docs/AgentResource.md)
 - [BaselineCollectionGroupResource](docs/BaselineCollectionGroupResource.md)
 - [BaselineCollectionResource](docs/BaselineCollectionResource.md)
 - [BaselineCollectionUploadBaselinesResource](docs/BaselineCollectionUploadBaselinesResource.md)
 - [BaselineResource](docs/BaselineResource.md)
 - [BuildInfo](docs/BuildInfo.md)
 - [BuildLog](docs/BuildLog.md)
 - [BuildResource](docs/BuildResource.md)
 - [BuildStatisticsResource](docs/BuildStatisticsResource.md)
 - [CheckpointContentResource](docs/CheckpointContentResource.md)
 - [CheckpointLayoutResource](docs/CheckpointLayoutResource.md)
 - [CheckpointPixelResource](docs/CheckpointPixelResource.md)
 - [CheckpointPixelTemporaryResource](docs/CheckpointPixelTemporaryResource.md)
 - [CheckpointResource](docs/CheckpointResource.md)
 - [CircleCIAgentResource](docs/CircleCIAgentResource.md)
 - [CircleCIConnectionResource](docs/CircleCIConnectionResource.md)
 - [CircleCIProject](docs/CircleCIProject.md)
 - [CommentResource](docs/CommentResource.md)
 - [ConfigResource](docs/ConfigResource.md)
 - [CustomFieldCondition](docs/CustomFieldCondition.md)
 - [CustomFieldDefinitionResource](docs/CustomFieldDefinitionResource.md)
 - [CustomFieldOptionResource](docs/CustomFieldOptionResource.md)
 - [DeleteProxyTunnelRequest](docs/DeleteProxyTunnelRequest.md)
 - [DeleteProxyTunnelResponse](docs/DeleteProxyTunnelResponse.md)
 - [EnvironmentVariable](docs/EnvironmentVariable.md)
 - [ExecutionRequestResource](docs/ExecutionRequestResource.md)
 - [ExecutionResource](docs/ExecutionResource.md)
 - [ExecutionShareReportResource](docs/ExecutionShareReportResource.md)
 - [ExecutionTestCaseResource](docs/ExecutionTestCaseResource.md)
 - [ExecutionTestResultIdentifyResource](docs/ExecutionTestResultIdentifyResource.md)
 - [ExecutionTestResultResource](docs/ExecutionTestResultResource.md)
 - [ExecutionTestSuiteResource](docs/ExecutionTestSuiteResource.md)
 - [ExternalIssueResource](docs/ExternalIssueResource.md)
 - [ExternalProjectResource](docs/ExternalProjectResource.md)
 - [ExternalReleaseResource](docs/ExternalReleaseResource.md)
 - [FileResource](docs/FileResource.md)
 - [GitRepositoryResource](docs/GitRepositoryResource.md)
 - [IgnoringZoneResource](docs/IgnoringZoneResource.md)
 - [IncidentExecutionTestResultResource](docs/IncidentExecutionTestResultResource.md)
 - [IncidentResource](docs/IncidentResource.md)
 - [JobResource](docs/JobResource.md)
 - [K8SAgentResource](docs/K8SAgentResource.md)
 - [KEyesExecutionResource](docs/KEyesExecutionResource.md)
 - [KSFile](docs/KSFile.md)
 - [LabelResource](docs/LabelResource.md)
 - [LocalTime](docs/LocalTime.md)
 - [MultipleS3FileResource](docs/MultipleS3FileResource.md)
 - [OrganizationFeatureFlagResource](docs/OrganizationFeatureFlagResource.md)
 - [OrganizationResource](docs/OrganizationResource.md)
 - [OrganizationTrialRequestResource](docs/OrganizationTrialRequestResource.md)
 - [PageBaseResource](docs/PageBaseResource.md)
 - [PageExecutionResource](docs/PageExecutionResource.md)
 - [PageJobResource](docs/PageJobResource.md)
 - [PageProjectResource](docs/PageProjectResource.md)
 - [PageTeamResource](docs/PageTeamResource.md)
 - [Pageable](docs/Pageable.md)
 - [PageableObject](docs/PageableObject.md)
 - [PlatformGitRepositoryResource](docs/PlatformGitRepositoryResource.md)
 - [PlatformProjectResource](docs/PlatformProjectResource.md)
 - [PlatformResource](docs/PlatformResource.md)
 - [ProjectConfigurationResource](docs/ProjectConfigurationResource.md)
 - [ProjectResource](docs/ProjectResource.md)
 - [ProjectSettingResource](docs/ProjectSettingResource.md)
 - [ReleaseResource](docs/ReleaseResource.md)
 - [ReleaseStatisticsResource](docs/ReleaseStatisticsResource.md)
 - [RetestedTestResultResource](docs/RetestedTestResultResource.md)
 - [RunConfigurationResource](docs/RunConfigurationResource.md)
 - [SchedulerResource](docs/SchedulerResource.md)
 - [ScreenshotResource](docs/ScreenshotResource.md)
 - [SearchConfigResource](docs/SearchConfigResource.md)
 - [SearchRequest](docs/SearchRequest.md)
 - [SearchRequestCondition](docs/SearchRequestCondition.md)
 - [SearchRequestFunction](docs/SearchRequestFunction.md)
 - [SearchRequestPagination](docs/SearchRequestPagination.md)
 - [SearchRequestSortOrder](docs/SearchRequestSortOrder.md)
 - [SmartSchedulerResource](docs/SmartSchedulerResource.md)
 - [Sort](docs/Sort.md)
 - [SystemLabelResource](docs/SystemLabelResource.md)
 - [TagResource](docs/TagResource.md)
 - [TeamResource](docs/TeamResource.md)
 - [TestCasePlatformStatisticsResource](docs/TestCasePlatformStatisticsResource.md)
 - [TestCaseResource](docs/TestCaseResource.md)
 - [TestCloudAgentResource](docs/TestCloudAgentResource.md)
 - [TestCloudLicensesResource](docs/TestCloudLicensesResource.md)
 - [TestCloudTestSuiteCollectionAgentResource](docs/TestCloudTestSuiteCollectionAgentResource.md)
 - [TestFolderResource](docs/TestFolderResource.md)
 - [TestObjectEntityResource](docs/TestObjectEntityResource.md)
 - [TestObjectResource](docs/TestObjectResource.md)
 - [TestProjectResource](docs/TestProjectResource.md)
 - [TestResultAssertionFailedResource](docs/TestResultAssertionFailedResource.md)
 - [TestResultAssertionResource](docs/TestResultAssertionResource.md)
 - [TestRunResult](docs/TestRunResult.md)
 - [TestSuiteCollectionConfigurationResource](docs/TestSuiteCollectionConfigurationResource.md)
 - [TestSuiteCollectionEntityResource](docs/TestSuiteCollectionEntityResource.md)
 - [TestSuiteCollectionResource](docs/TestSuiteCollectionResource.md)
 - [TestSuiteResource](docs/TestSuiteResource.md)
 - [TimeZoneResource](docs/TimeZoneResource.md)
 - [TimeZoneResourceOffset](docs/TimeZoneResourceOffset.md)
 - [TimeZoneResourceOffsetRules](docs/TimeZoneResourceOffsetRules.md)
 - [TimeZoneResourceOffsetRulesDuration](docs/TimeZoneResourceOffsetRulesDuration.md)
 - [TimeZoneResourceOffsetRulesDurationUnits](docs/TimeZoneResourceOffsetRulesDurationUnits.md)
 - [TimeZoneResourceOffsetRulesTransitionRules](docs/TimeZoneResourceOffsetRulesTransitionRules.md)
 - [TimeZoneResourceOffsetRulesTransitions](docs/TimeZoneResourceOffsetRulesTransitions.md)
 - [TriggerBuildParameter](docs/TriggerBuildParameter.md)
 - [TunnelMetaDataResource](docs/TunnelMetaDataResource.md)
 - [UploadBatchFileResource](docs/UploadBatchFileResource.md)
 - [UploadBatchResource](docs/UploadBatchResource.md)
 - [UploadCheckpointResource](docs/UploadCheckpointResource.md)
 - [UploadFileResource](docs/UploadFileResource.md)
 - [UploadJUnitReportResource](docs/UploadJUnitReportResource.md)
 - [UserOrganizationFeatureResource](docs/UserOrganizationFeatureResource.md)
 - [UserResource](docs/UserResource.md)
 - [UserSettingResource](docs/UserSettingResource.md)
 - [UserTeamResource](docs/UserTeamResource.md)


## Documentation For Authorization


## basicScheme

- **Type**: HTTP basic authentication


## Author




## Notes for Large OpenAPI documents
If the OpenAPI document is large, imports in testops_api.apis and testops_api.models may fail with a
RecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:

Solution 1:
Use specific imports for apis and models like:
- `from testops_api.api.default_api import DefaultApi`
- `from testops_api.model.pet import Pet`

Solution 1:
Before importing the package, adjust the maximum recursion limit as shown below:
```
import sys
sys.setrecursionlimit(1500)
import testops_api
from testops_api.apis import *
from testops_api.models import *
```

